Arnold Clark Caledonia North Region League Division 3 (Men's)
RAF Lossiemouth RFC – Inverness Craig Dunain RFC
5. des. 2026
Staða í deild
RAF Lossiemouth RFCP 5 · W 4 · D 0 · L 1 · Pts 203 af 12
Inverness Craig Dunain RFCP 4 · W 3 · D 0 · L 1 · Pts 135 af 12
Öll taflanNýlegt gengi
RAF Lossiemouth RFC
- Wgegn Huntly RFC118–12
- W@ Dyce RFC105–12
- Wgegn Deeside RFC26–22
- Wgegn Peterhead RFC94–0
- L@ Aberdeen Wanderers RFC19–70
Inverness Craig Dunain RFC
- Lgegn Aberdeen Wanderers RFC5–53
- W@ Turriff RFC55–33
- Wgegn Dyce RFC122–12
- Wgegn Caithness RFC 2nd XV86–27
Innbyrðis viðureignir
Engar fyrri viðureignir í úrslitunum okkar.
